Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZOrderConfirmation Class Reference

## Public Member Functions
| __construct ( $id="")
| confirmOrder ( $sessionID)
| sendMail ( $sessionID)
| confirm ( $sessionID)
| setOrderID ( $value)
| orderID ()
| deleteCache ( $ProductID, $CategoryID, $CategoryArray, $Hotdeal)

## Public Attributes
| $OrderID
| $Language
| $OrderSenderEmail
| $OrderReceiverEmail
| $PricesIncludeVAT
| $EmailShowExTaxColumn
| $EmailShowIncTaxColumn
| $DiscontinueQuantityless
| $SiteURL
| $IndexFile

## Detailed Description

! The class eZConfirmation does

Definition at line 67 of file ezorderconfirmation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZOrderConfirmation::__construct | ( |  | $id = `""` | ) |

Definition at line 69 of file ezorderconfirmation.php.

References $id, and $ini.

## Member Function Documentation

## ◆ confirm()

eZOrderConfirmation::confirm | ( |  | $sessionID | ) |

Definition at line 775 of file ezorderconfirmation.php.

References $Action, $cart, $checkout, $count, $i, $instance, $item, $items, $options, $order, $OrderID, $paymentMethod, $price, $product, $ret, $session, $total, $values, and deleteCache().

Referenced by confirmOrder().

## ◆ confirmOrder()

eZOrderConfirmation::confirmOrder | ( |  | $sessionID | ) |

Definition at line 90 of file ezorderconfirmation.php.

References $ret, confirm(), and sendMail().

## ◆ deleteCache()

eZOrderConfirmation::deleteCache | ( |  | $ProductID,
|  |  | $CategoryID,
|  |  | $CategoryArray,
|  |  | $Hotdeal
| ) |  |

Definition at line 974 of file ezorderconfirmation.php.

References $CategoryID, $file, and $files.

Referenced by confirm().

## ◆ orderID()

eZOrderConfirmation::orderID | ( |  | ) |

Return the order id.

Definition at line 969 of file ezorderconfirmation.php.

References $OrderID.

## ◆ sendMail()

eZOrderConfirmation::sendMail | ( |  | $sessionID | ) |

Definition at line 113 of file ezorderconfirmation.php.

References $billingAddress, $checkout, $count, $country, $currency, $customer, $headers, $i, $ini, $instance, $item, $items, $locale, $mail, $numberOfItems, $options, $order, $OrderID, $orderID, $paymentMethod, $product, $region, $replace, $search, $session, $shippingAddress, $shippingCost, $shippingType, $shippingVAT, $ShowCart, $ShowSavingsColumn, $SiteURL, $sum, $total, and $totalVAT.

Referenced by confirmOrder().

## ◆ setOrderID()

eZOrderConfirmation::setOrderID | ( |  | $value | ) |

Set the order id.

Definition at line 961 of file ezorderconfirmation.php.

## Member Data Documentation

## ◆ $DiscontinueQuantityless

eZOrderConfirmation::$DiscontinueQuantityless

Definition at line 1020 of file ezorderconfirmation.php.

## ◆ $EmailShowExTaxColumn

eZOrderConfirmation::$EmailShowExTaxColumn

Definition at line 1018 of file ezorderconfirmation.php.

## ◆ $EmailShowIncTaxColumn

eZOrderConfirmation::$EmailShowIncTaxColumn

Definition at line 1019 of file ezorderconfirmation.php.

## ◆ $IndexFile

eZOrderConfirmation::$IndexFile

Definition at line 1023 of file ezorderconfirmation.php.

## ◆ $Language

eZOrderConfirmation::$Language

Definition at line 1014 of file ezorderconfirmation.php.

## ◆ $OrderID

eZOrderConfirmation::$OrderID

Definition at line 1012 of file ezorderconfirmation.php.

Referenced by confirm(), orderID(), and sendMail().

## ◆ $OrderReceiverEmail

eZOrderConfirmation::$OrderReceiverEmail

Definition at line 1016 of file ezorderconfirmation.php.

## ◆ $OrderSenderEmail

eZOrderConfirmation::$OrderSenderEmail

Definition at line 1015 of file ezorderconfirmation.php.

## ◆ $PricesIncludeVAT

eZOrderConfirmation::$PricesIncludeVAT

Definition at line 1017 of file ezorderconfirmation.php.

## ◆ $SiteURL

eZOrderConfirmation::$SiteURL

Definition at line 1021 of file ezorderconfirmation.php.

Referenced by sendMail().

The documentation for this class was generated from the following file:

- ezorderconfirmation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.